<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
    <title>What Is JFLAP?</title>
  </head>

  <body>
    <h1>What Is JFLAP?</h1>


<p>
        <strong> JFLAP </strong>
        is a package of graphical tools which can be used as an
        aid in learning the basic concepts of Formal Languages
        and Automata Theory. 

<p>
<center>
<table border=1>
<tr> <td> 
<h3>Regular languages - create

<br>
<ul>
<li> DFA
<li> NFA
<li> regular grammar
<li> regular expression
</ul>
<td> <image src="indexdfa.gif">
</tr>
<tr>
<td> <h3>Regular languages - conversions

<ul>
<li> NFA -> DFA -> Minimal DFA
<li> NFA <-> regular expression
<li> NFA <-> regular grammar

</ul>
<td> <image src="indextodfa.gif">
</tr>

<tr> 
<td> <h3> Context-free languages - create
<ul>
<li> push-down automaton
<li> context-free grammar
</ul>
<td> <image src="indexpda.gif">
</tr> 
<tr>
<td> <h3> Context-free languages - transform
<ul>
<li> PDA -> CFG 
<li> CFG -> PDA (LL parser)
<li> CFG -> PDA (SLR parser)
<li> CFG -> CNF
<li> CFG -> LL parse table and parser
<li> CFG -> SLR parse table and parser
<li> CFG -> Brute force parser
</ul>
<td> <image src="indexslr.gif">
</tr>
<tr>
<td> <h3> Recursively Enumerable languages 
<ul>
<li> Turing machine (1-tape)
<li> Turing machine (multi-tape)
<li> Turing machine (building blocks)
<li> unrestricted grammar
<li> unrestricted gramamr -> brute force parser
</ul>
<td> <center><image src="indextm.gif"></center>
</tr>
<tr>
<td> <h3> L-Systems
<ul>
<li> Create L-systems
</ul>
<td> <center><image src="indexlsys.gif"></center>
</tr>
</table>
</center>

<hr>


    <hr>
    <address><a href="mailto:rodger@cassatt">Susan H. Rodger</a></address>
<!-- Created: Fri Jul  1 11:00:24 EDT 2005 -->
<!-- hhmts start -->
Last modified: Fri Jul  1 11:01:15 EDT 2005
<!-- hhmts end -->
  </body>
</html>
